function [ sensor_data, imp_resp, freq_resp ] = COMP_impSPL( signal, source, medium, kgrid,BOUND, info )
% ========================================================================
% MICROPHONES2
% =========================================================================
% MICROPHONES POSITIONS
%offset_x=round(BOUND.thck_wall/kgrid.dx)+1;
%offset_y=round(BOUND.thck_abs/kgrid.dy)+1;

height_z=floor(info.list_level/kgrid.dz)+round(BOUND.boundary_thck/kgrid.dz);

sensor.mask = zeros(kgrid.Nx,kgrid.Ny,kgrid.Nz);
sensor.mask(1:kgrid.Nx, 1:kgrid.Ny, height_z)=1;
sensor.record = {'p','p_max','p_rms'};
% =========================================================================
% COMPUTING 2
% =========================================================================
display_mask = source.p_mask;
input_args = {'DisplayMask', display_mask, 'PMLInside', false, 'PlotPML', false,'PlotSim', false};
sensor_data = kspaceFirstOrder3D(kgrid, medium, source, sensor, input_args{:});
[ imp_resp, freq_resp] = analyzeImpResp( signal, sensor_data ,kgrid);


end

